#if (ARDUINO >= 100)
#include <Arduino.h>
#else
#include <WProgram.h>
#endif

#include "PID_v1.h"

#define DEBUG
#include "Debug.h"

#ifndef MOTOR_H
#define MOTOR_H

typedef struct {
  uint8_t dir_pin;
  uint8_t speed_pin;
  uint8_t speed;
  uint8_t direction;
  uint8_t adjustment;
} motorInfo_t;

class Motor {
  private:
    motorInfo_t rightMotor;
    motorInfo_t leftMotor;
    
    void setMotor(motorInfo_t *motor, uint8_t speed, uint8_t direction);
  
  public:
    Motor(uint8_t r_dir_pin, uint8_t r_spd_pin, uint8_t l_dir_pin, uint8_t l_spd_pin);
    
    void drive(uint8_t speed, uint8_t direction);
    void setRightAdjust(uint8_t adjust);
    void setLeftAdjust(uint8_t adjust);
    void stop();
    
    const static uint8_t FORWARD = 0;
    const static uint8_t BACKWARD = 1;
};

#endif
