#if (ARDUINO >= 100)
#include <Arduino.h>
#else
#include <WProgram.h>
#endif

#ifndef PING_H
#define PING_H

class Ping
{
  private:
    uint8_t sensorPin;              // pin to use for the sensor
    unsigned long duration;       // microseconds of the ultrasonic pulse

  public:
    Ping(uint8_t pin);      // constructor
    void pulse();             // send the command to send a ultrasonic pulse

    unsigned long getInches();              // get our reading in inches
    unsigned long getCentimeters();      // get our reading in cm
    unsigned long getMicroseconds();   // get our reading in microseconds
};

#endif
